Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class viewj32

    java.lang.Object
      weblogic.wtc.jatmi.viewjCompiler
          weblogic.wtc.jatmi.viewj32

    public final class viewj32

extends viewjCompiler

This class is a utility function that reads a View definition file and produces a java file that implements the TypedView32 interface. This java file should be compiled into a class which can then be used to set and retrieve entries from a View32 buffer. This utility is analogous to the viewc32(1) utility in the Tuxedo reference manual. The command prototype is

`viewj32 [options] [package-name] view-definition-table`

Method Summary
`static void` | `main(String[] args)` The starting point of this utility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)

  The starting point of this utility. The utility has the following prototype:

  `viewj32 [options] [package-name] view-definition`

  where package-name is the name of the package in which this class should reside and view-definition is the view file to be processed. The following options are accepted:

  - -associated_fields
      Use associated count and length fields in generated setters and getters.
  - -compat_names
      Use original naming conventions for generated setters and getters: set or get prefix plus field name.
  - -bean_names
      Use JavaBean naming conventions for generated setters and getters: convert first letter of field name to upper case and add set or get prefix.
  - -modify_strings
      Add null to strings before sending to Tuxedo and truncate strings received from Tuxedo at first null.
  - -xcommon
      Generate output class as extending TypedXCommon instead of TypedView.
  - -xctype
      Generate output class as extending TypedXCType instead of TypedView.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD